Holger's Java API

## com.antelmann.math
Class WrongCurrencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.math.WrongCurrencyException

All Implemented Interfaces:
  Serializable

    public class WrongCurrencyException

extends RuntimeException

Since:
  6. Juli 2007, 19:21
Author:
  Holger Antelmann
See Also:
  `Money`, Serialized Form

Constructor Summary
`WrongCurrencyException()`
`WrongCurrencyException(Currency c)`
`WrongCurrencyException(CurrencyUnit unit)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongCurrencyException

    public WrongCurrencyException()

### WrongCurrencyException

    public WrongCurrencyException(CurrencyUnit unit)

### WrongCurrencyException

    public WrongCurrencyException(Currency c)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads